Subject: Re: Fw:Re:Re: bug#8685: semanticdb-find-translate-path-default: Wrong type argument: stringp, nil

From: David Engster <[email-masked]>
Date: Thu, 15 Mar 2012 22:42:02 +0100

sss writes:
> At 2011-05-18 08:37:08，"Stefan Monnier" <[email-masked]> wrote:
>
>>>>>>> When I type 'C-c , J' (semantic-ia-fast-jump) in a buffer (c-mode,
>>>>>>> with file tree.def from GCC source tree), I get the
>>>>>>> following message.
>>>>> sorry, it's semantic-complete-jump.
>>>> Can you give a concise recipe starting from "emacs -Q"?
>>> emacs -Q
>>> C-x C-f tree.def
>>> semantic-mode
>>> C-c , J
>>> got message:
>>> semanticdb-find-translate-path-default: Wrong type argument: stringp, nil
>>
>>Hmm... I just tried on Emacs's src/regex.c file and can't reproduce
>>this problem.  Does it happen for any/most C-mode files?
>
> no, 
>
> maybe some special c files with complex marco definition, such as *.def file in gcc.
>
> e.g. gimple.def sent as attachments.

This seems to be the same issue as #10343, which I've recently fixed in
Emacs trunk. Could you please test again with latest Emacs from bzr?

-David